Loading...
Searching...
No Matches
remove_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::remove_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename T , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && weakly_incrementable<O> && indirect_relation<equal_to, projected<I, P>, T const *> && indirectly_copyable<I, O>
constexpr remove_copy_result< I, O > | ranges::remove_copy (I first, S last, O out, T const &val, P proj=P{})
| function template `remove_copy`
template<typename Rng , typename O , typename T , typename P = identity> requires input_range<Rng> && weakly_incrementable<O> && indirect_relation<equal_to, projected<iterator_t<Rng>, P>, T const *> && indirectly_copyable<iterator_t<Rng>, O>
constexpr remove_copy_result< borrowed_iterator_t< Rng >, O > | ranges::remove_copy (Rng &&rng, O out, T const &val, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.